@import url(./header.css);

.hero-img {
    width: 100%;
    position: relative;
    display: block;
}

.hero-img > img:first-child {
    width: 100%;
    height: 100%;
    border: 1px solid var(--border);
    border-radius: 8px;
}

.hero-img > img:last-child {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 117px;
    transform: translateY(50%);
}

.discover {
    margin-top: 84px;
}

.discover > h1 > span {
    display: block;
}

.discover p {
    margin-top: 16px;
}

.hero-button {
    margin-top: 24px;
}

.hero-button > .btn {
    margin-top: 16px;
}

.btn.dark {
    background: var(--bg-primary);
    border: 1px solid var(--border);
}

.hero-jumbotron {
    display: grid;
    grid-template-areas: "a b" "c c";
    gap: 12px;
    margin-top: 40px;
}

.hero-jumbotron > .jumbotron {
    padding: 16px;
}

.hero-jumbotron > .jumbotron:last-child {
    grid-area: c;
}

.hero-jumbotron > .jumbotron > div:first-child {
    color: var(--heading);
    font-size: 1.7em;
    font-weight: 700;
    margin-bottom: 8px;
}

.banner-group {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-top: 40px;
    padding: 10px;
    border: 1px solid var(--border);
    border-radius: 12px;
    box-shadow: 0 0 10px var(--border);
}

.banner {
    padding: 20px 14px;
    text-align: center;
    width: calc(50% - 5px);
}

.banner > img {
    display: block;
    margin: 0 auto;
}

.banner > span {
    display: block;
    color: var(--heading);
    margin-top: 14px;
}

.rate {
    width: 60%;
    display: block;
    margin-left: 0;
}
.rate-profil {
    margin-top: 24px;
    display: flex;
    justify-content: flex-start;
    gap: 10px;
}

.rate-profil-img {
    width: 50px;
    height: 50px;
}

.rate-profil-name {
    font-size: 1.15em;
    line-height: 150%;
    display: block;
    color: var(--heading);
}

.card-title.question {
    margin-top: 0;
    font-size: 1.285em;
}

.card-text.answer {
    margin: 20px 0;
}

.card-btn {
    background: var(--grey);
    border: 1px solid var(--border);
}

.btn.explore {
    margin-top: 30px;
}


        /* * * * LAPTOP * * * */
@media screen and (min-width:1024px) {
    .hero-section {
        display: grid;
        column-gap: 50px;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: "a b" "c c";
    }

    .hero-img {
        grid-area: b;
    }
    
    .hero-img > img:first-child {
        border: none;
        border-radius: 0;
    }
    
    .hero-img > img:last-child {
        top: 60px;
        transform: translateX(-50%);
    }

    .discover {
         grid-area: a;
         margin-top: 0;
         padding: 62px 10px 60px 50px;
    }
    
    .discover p {
        margin-top: 18px;
    }

    .hero-button {
        display: flex;
    }

    .hero-button > .btn {
        margin-right: 16px;
    }

    .hero-jumbotron {
        grid-template-areas: "a b c";
    }

    .hero-jumbotron .jumbotron {
        padding: 20px 16px;
        text-align: left;
    }

    .banner-group {
        grid-area: c;
        display: flex;
        flex-wrap: nowrap;
        margin-top: 0px;
        border-radius: 0;
    }
    
    .banner {
        padding: 20px 14px;
        text-align: center;
        width: calc(50% - 5px);
    }
    
    .banner > img {
        display: block;
        margin: 0 auto;
    }
    
    .banner > span {
        display: block;
        color: var(--heading);
        margin-top: 14px;
    }

    .card-title.question {
        height: 60px;
    }

    .card-btn {
        display: inline-block;
    }

    .btn.explore {
        display: inline-block;
    }
       
}

@media screen and (min-width:1440px) {
    .hero-img > img:last-child {
        width: 129px;
        top: 98px;
    }

    .discover {
        padding: 98px 10px 60px 80px;
   }
   
   .discover p {
       margin-top: 20px;
   }

    .hero-button {
        margin-top: 34px;
    }

    .hero-jumbotron {
        margin-top: 50px;
    }  
}

        /* * * * DESKTOP * * * */
@media screen and (min-width:1920px) {
    .hero-img > img:last-child {
        width: 175px;
        top: 162px;
    }

    .discover {
        padding: 162px 30px 60px 144px;
   }
   
   .discover p {
       margin-top: 24px;
   }

    .hero-button {
        margin-top: 44px;
    }

    .hero-jumbotron {
        margin-top: 60px;
        padding: 24px 16px;
    }  
}